public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-biology/pysam/
Date: Sun, 19 Feb 2023 15:23:00 +0000 (UTC)	[thread overview]
Message-ID: <1676820172.cd493f9e3374c2cf9f36ebd06d8dac3f2732faf1.soap@gentoo> (raw)

commit:     cd493f9e3374c2cf9f36ebd06d8dac3f2732faf1
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 19 15:22:52 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Feb 19 15:22:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd493f9e

sci-biology/pysam: add 0.20.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/pysam/Manifest            |  1 +
 sci-biology/pysam/pysam-0.20.0.ebuild | 69 +++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/sci-biology/pysam/Manifest b/sci-biology/pysam/Manifest
index f1a1fe7298b7..fc762c874c2d 100644
--- a/sci-biology/pysam/Manifest
+++ b/sci-biology/pysam/Manifest
@@ -1 +1,2 @@
 DIST pysam-0.19.1.gh.tar.gz 3649711 BLAKE2B dac3ab5a86ef95048e966fc007a0aa1c96ca8498f7c2672c2ed024f34b508bac42048e58b8ae0b538cea137a51e1874bb5c2c4976c7f3dc657a4c2cf5f9a27fb SHA512 719f3a15e7dd277a90cce7f938b674ff86ef6b8f2d3440c3a0bf2ea22c4fbc2b3c9e0cf297d958c99e09dcd6e9905f32e8c632158aa8d5af8210e79705e1c479
+DIST pysam-0.20.0.gh.tar.gz 3748498 BLAKE2B 1c1b99e5ec34641c196dd574e634cc87d49baa594243eca20ad1f99d2c01b8aadead70a729f389c93cf6f5e95f20d9c7e3d050a47821d1b0dcaaff39d88e6825 SHA512 3f8402057e1d5c807886d1d38180dbdbfa8557700fa97bd59cb42df4d7cc461dcbe54808a169ba5f9696651e801fd0431480cd033b601cd4e9c11bf8bbf14e49

diff --git a/sci-biology/pysam/pysam-0.20.0.ebuild b/sci-biology/pysam/pysam-0.20.0.ebuild
new file mode 100644
index 000000000000..6372f1602f70
--- /dev/null
+++ b/sci-biology/pysam/pysam-0.20.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface for the SAM/BAM sequence alignment and mapping format"
+HOMEPAGE="
+	https://github.com/pysam-developers/pysam
+	https://pypi.org/project/pysam/"
+SRC_URI="https://github.com/pysam-developers/pysam/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="=sci-libs/htslib-1.16*:="
+DEPEND="${RDEPEND}
+	dev-python/cython[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+	test? (
+		=sci-biology/bcftools-1.16*
+		=sci-biology/samtools-1.16*
+	)"
+
+distutils_enable_tests pytest
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+EPYTEST_DESELECT=(
+	# only work with bundled htslib
+	'tests/tabix_test.py::TestRemoteFileHTTP'
+	'tests/tabix_test.py::TestRemoteFileHTTPWithHeader'
+	# broken test
+	# https://github.com/pysam-developers/pysam/issues/1151#issuecomment-1365662253
+	'tests/AlignmentFilePileup_test.py::TestPileupObjects::testIteratorOutOfScope'
+)
+
+python_prepare_all() {
+	# unbundle htslib
+	export HTSLIB_MODE="external"
+	export HTSLIB_INCLUDE_DIR="${ESYSROOT}"/usr/include
+	export HTSLIB_LIBRARY_DIR="${ESYSROOT}"/usr/$(get_libdir)
+	rm -r htslib || die
+
+	# prevent setup.py from adding RPATHs (except $ORIGIN)
+	sed -e '/runtime_library_dirs=htslib_library_dirs/d' \
+		-i setup.py || die
+
+	if use test; then
+		einfo "Building test data"
+		emake -C tests/pysam_data
+		emake -C tests/cbcf_data
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	# breaks with parallel build
+	# need to avoid dropping .so plugins into
+	# build-lib, which breaks tests
+	esetup.py build_ext --inplace -j1
+	distutils-r1_python_compile -j1
+}


             reply	other threads:[~2023-02-19 15:23 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-19 15:23 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-22 20:06 [gentoo-commits] repo/gentoo:master commit in: sci-biology/pysam/ Michał Górny
2025-03-21 14:59 Nowa Ammerlaan
2025-03-21 14:59 Nowa Ammerlaan
2024-05-24  9:54 David Seifert
2023-04-06 19:29 David Seifert
2023-04-06 18:10 David Seifert
2023-03-30 11:11 David Seifert
2023-02-19 15:44 David Seifert
2022-06-19  8:09 David Seifert
2022-06-19  8:09 David Seifert
2022-06-10 12:42 David Seifert
2021-10-09  9:32 Arthur Zamarin
2021-10-03 17:41 David Seifert
2020-02-11 12:25 Michał Górny
2017-09-17 10:55 David Seifert
2017-09-17 10:55 David Seifert
2017-09-02 11:04 David Seifert
2016-04-09 22:14 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1676820172.cd493f9e3374c2cf9f36ebd06d8dac3f2732faf1.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox